Name:          openpmix
Version:       5.0.1
Release:       1mamba
Summary:       Reference Implementation of the Process Management Interface Exascale (PMIx) standard
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://openpmix.github.io/
Source:        https://github.com/openpmix/openpmix.git/v%{version}/openpmix-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libevent-devel
BuildRequires: libhwloc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Reference Implementation of the Process Management Interface Exascale (PMIx) standard.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
./autogen.pl

%build
%configure \
   --sysconfdir=%{_sysconfdir}/%{name}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/openpmix
%config(noreplace) %{_sysconfdir}/openpmix/pmix-mca-params.conf
%{_bindir}/palloc
%{_bindir}/pattrs
%{_bindir}/pctrl
%{_bindir}/pevent
%{_bindir}/plookup
%{_bindir}/pmix_info
%{_bindir}/pmixcc
%{_bindir}/pps
%{_bindir}/pquery
%dir %{_datadir}/pmix
%{_datadir}/pmix/*
%{_mandir}/man1/pmix_info.1*
%{_mandir}/man5/openpmix.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpmix.so.*
%dir %{_libdir}/pmix
%{_libdir}/pmix/pmix_mca_*.so
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/pmix
%dir %{_includedir}/pmix/src
%{_includedir}/pmix/src/*
%{_includedir}/pmix*.h
%{_libdir}/libpmix.so
%{_docdir}/pmix/html/.buildinfo
%dir %{_docdir}/pmix
%dir %{_docdir}/pmix/html
%{_docdir}/pmix/html/*
%{_mandir}/man3/PMIx_Abort.3*
%{_mandir}/man3/PMIx_Finalize.3*
%{_mandir}/man3/PMIx_Init.3*
%{_libdir}/pkgconfig/pmix.pc
%doc README.md

%changelog
* Thu Feb 22 2024 Automatic Build System <autodist@openmamba.org> 5.0.1-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 4.2.9-1mamba
- automatic version update by autodist

* Sat Dec 30 2023 Automatic Build System <autodist@mambasoft.it> 4.2.8-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.7-1mamba
- package created using the webbuild interface
